diff --git a/books/bookvol7.pamphlet b/books/bookvol7.pamphlet
index 3ae0249..dfbd745 100644
--- a/books/bookvol7.pamphlet
+++ b/books/bookvol7.pamphlet
@@ -11052,8 +11052,8 @@ void mainEventLoop(void) {
                     XNextEvent(gXDisplay, &event);
                     handleEvent(&event);
                 }
-                else if FD_ISSET
-                    (spadSocket->socket, &rd)
+                else if (FD_ISSET
+                    (spadSocket->socket, &rd))
                     /*
                      * Axiom Socket do what handleEvent does The 100 is
                      * $SpadStuff in hypertex.boot
@@ -22867,11 +22867,7 @@ int main(int argc, char **argv) {
          */
         bsdSignal(SIGUSR2, sigusr2Handler,RestartSystemCalls);
         bsdSignal(SIGUSR1, SIG_IGN,RestartSystemCalls);
-#if defined(BSDplatform) || defined(MACOSXplatform)
         bsdSignal(SIGCHLD, sigcldHandler,RestartSystemCalls);
-#else
-        bsdSignal(SIGCLD, sigcldHandler,RestartSystemCalls);
-#endif
         bsdSignal(SIGINT, SIG_IGN,RestartSystemCalls);
         /*
          * Now go to the main event loop. I will never return, so just end
diff --git a/books/bookvol8.pamphlet b/books/bookvol8.pamphlet
index b1166f2..3eb7b32 100644
--- a/books/bookvol8.pamphlet
+++ b/books/bookvol8.pamphlet
@@ -6615,7 +6615,7 @@ void processEvents(void) {
 	} /* else - not closing */
       } /* if checkButton */
     } /* if FD_ISSET(Xcon.... */
-    else if FD_ISSET(0,&rd) {
+    else if (FD_ISSET(0,&rd)) {
       externalControl=spadAction(); /* returns (-1) if broken ,0 if success */
       if (spadDraw && (externalControl==0)) drawViewport(Xoption);
     }
@@ -14238,7 +14238,7 @@ void processEvents(void) {
 	}  /* else - not closing */
       }	  /* if checkButton */
     } /* if FD_ISSET(Xcon,.. */
-    else if FD_ISSET(0,&rd) {
+    else if (FD_ISSET(0,&rd)) {
       externalControl = spadAction();
       if (spadDraw && (externalControl==0)) drawViewport(Xoption);
     }
diff --git a/changelog b/changelog
index a03c7b0..c38fe94 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20140720 tpd src/axiom-website/patches.html 20140720.01.tpd.patch
+20140720 tpd books/bookvol7 apply Camm's patches
+20140720 tpd books/bookvol8 apply Camm's patches
 20140719 tpd src/axiom-website/patches.html 20140719.01.tpd.patch
 20150719 tpd books/bookvol10.1 clean up mistakes
 20150719 tpd books/bookvolbib fix references
diff --git a/patch b/patch
index 247adbc..80b7268 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-books/bookvol10.1, bookvolbib, bookheader.tex clean up mistakes
+books/bookvol7, bookvol8 apply Camm's patches
 
-There were several typos, mistakes, and bibliographic noise fixed.
\ No newline at end of file
+See Camm's diff-Naur patch in the mailing list on 17-July-2014
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index acbe192..e22b6dc 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4554,6 +4554,8 @@ books/bookvolbib add Hoeij04
 books/bookvolbib add Jeff97
 <a href="patches/20140719.01.tpd.patch">20140719.01.tpd.patch</a>
 books/bookvol10.1, bookvolbib, bookheader.tex clean up mistakes
+<a href="patches/20140720.01.tpd.patch">20140720.01.tpd.patch</a>
+books/bookvol7, bookvol8 apply Camm's patches
  </body>
 </html>
 
